Subject: Re: [Teep] [EXT] Re: Call for adoption

From: "Wheeler, David M" <[email-masked]>
Date: Tue, 12 Jun 2018 00:22:54 +0000

I am also a bit confused by 5.2.

“The protocol generates one key pair…”
           Probably not the correct pronoun here – the protocol can’t generate a key pair, because it cannot hold a key.

           Perhaps this should say “The TEE generates a new key pair…”
           Because it appears the TEE is going to use this key pair for signing (correct?)
           “The purpose of the key pair is to sign data by a TEE without using its TEE device key for anonymous attestation…”

My confusion arises as I try to understand when the TEE will use this key pair. At first I believe it is tied to a particular SP, and used by the TEE whenever the SP is contacted. But then the key pair seems tied to a Security Domain (SD) and only deleted when all the SD’s are deleted.

           5.3 “Since a TAM may support multiple SPs, sharing the same SD name for different SPs creates a dependency in deleting an SD.”
           This seems to create a problem in deletion of AIKs. AIKs should be able to be deleted when the SP does not want a relationship with a particular TEE/Device.   Forcing the AIK to not be deleted until another structure (the SD) is deleted, which can be delayed infinitely due to a TAMs overuse of an SD, seems to create a privacy issue, IMHO.

I know we have discussed having more conversation around the security domains, and perhaps we should clear that up first, then tackle this issue. Possibly clarifying the intention around the AIK with linkage to the SD might help, though.

Thanks,
Dave Wheeler

From: TEEP [mailto:[email-masked]] On Behalf Of Nicolae Paladi
Sent: Friday, May 4, 2018 2:35 AM
To: Mingliang Pei <[email-masked]>
Cc: Nancy Cam-Winget (ncamwing) <[email-masked]>; [email-masked]; Wheeler, David M <[email-masked]>; Dave Thaler <[email-masked]>
Subject: Re: [Teep] [EXT] Re: Call for adoption

Hello,

I have read through the 06 OTrP document; besides a list of miscellaneous omissions and minor misses (that can be addressed later), several points caught my eye:

1. In §5.2 the acronym “AIK” from  "TEE SP anonymous key (AIK)” reads very similar to the concept of an “Attestation Identity Key”  (e.g. from [1]).
Is that the purpose? If yes, the key and its role should be introduced, otherwise a different acronym could be used.

2. In §6.3.1 the draft mentions that “It is important to ensure a legitimate OTrP Agent is installed”.
However, it is not clear what a “legitimate” agent is and how one can ensure that a “legitimate” agent installed.
Given that the agent runs in the REE where the applications are by definition un-trusted (as per 3.1), this paragraph leads to a dead end.
What is the relation between a “legitimate” application and a “trusted” application?

3. §6.3.2 states twice (duplication) that only one OTrP agent is expected.
However, given that “a user can dynamically download and install an OTrP Agent on demand” (as per §6.3.1), it is unclear what this expectation is based on.
Moreover, the interaction is multiple OTrP agents on the platform is not discussed.

Best regards,
Nicolae

====

[1] Ernie Brickell, Jan Camenisch, and Liqun Chen. 2004. Direct anonymous attestation. In Proceedings of the 11th ACM conference on Computer and communications security (CCS '04). ACM, New York, NY, USA, 132-145. DOI=http://dx.doi.org/10.1145/1030083.1030103

On 02 May 2018, at 20:23, Mingliang Pei <[email-masked]<mailto:[email-masked]>> wrote:

Thanks Dave T, that is correct.

Hi Dave W, yes, I can confirm that it is exactly the same version as v06 OTrP except a few typo fixes. The plan is to rename the “adopted” version v06 first to WG named draft, and we work on revision from there with full continuity.

Thanks,

Ming

From: Dave Thaler <[email-masked]<mailto:[email-masked]>>
Date: Wednesday, May 2, 2018 at 10:13 AM
To: "Wheeler, David M" <[email-masked]<mailto:[email-masked]>>, Mingliang Pei <[email-masked]<mailto:[email-masked]>>, "Nancy Cam-Winget (ncamwing)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: RE: [Teep] [EXT] Re: Call for adoption

You can see the diffs at

I see that a number of typos were fixed, but there were no substantial differences.

Dave

From: TEEP <[email-masked]<mailto:[email-masked]>> On Behalf Of Wheeler, David M
Sent: Wednesday, May 2, 2018 7:14 AM
To: Mingliang Pei <[email-masked]<mailto:[email-masked]>>; Nancy Cam-Winget (ncamwing) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Teep] [EXT] Re: Call for adoption

Ming,
Can you just confirm that there are NO DIFFERENCES between the last released version and the 06 OTrP document?
If there are differences, can you give a short summary so I know where to look?
Much appreciated,
Dave Wheeler

From: TEEP [mailto:[email-masked]] On Behalf Of Mingliang Pei
Sent: Thursday, April 26, 2018 10:46 AM
To: Nancy Cam-Winget (ncamwing) <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Subject: Re: [Teep] [EXT] Re: Call for adoption

Thank you Nancy, Dave and all for your support, comments and suggestions.

Yes, I will rename the draft to “draft-ietf-teep-opentrustprotocol” and resubmit it very soon.

Thanks, again,

Ming

From: TEEP <[email-masked]<mailto:[email-masked]>> on behalf of "Nancy Cam-Winget (ncamwing)" <[email-masked]<mailto:[email-masked]>>
Date: Thursday, April 26, 2018 at 8:58 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: [EXT] Re: [Teep] Call for adoption

Hearing (or reading) no strong objections, “draft-pei-opentrustprotocol” is adopted by the WG.

A few comments have already been provided that can be addressed in subsequent versions some can also be clarified in the architecture draft.

Ming: when you get a chance, please submit the draft with the name:  draft-ietf-teep-opentrustprotocol

Your chairs, Dave and Nancy

From: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Date: Monday, April 2, 2018 at 11:07 AM
To: "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Call for adoption

All,

There was strong interest and consensus at the TEEP f2f IETF 101 meeting in London for adopting
https://datatracker.ietf.org/doc/draft-pei-opentrustprotocol/<https://na01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fclicktime.symantec.com%2Fa%2F1%2FgRKJSsq7kQhfqIKwz5wHUYr68TvGP5gAqpJNYBP-b7k%3D%3Fd%3D8WYzqysvQkd-X_pG-TDgQWMOhCT_hZ1FSVct6-8Ei0YXDodJ-BlC1HRZVDivUH6gtXKkOaBplQ4cm5LXvKuOoc75nlsRDpZ0rTVUq3fI7jVSXjtiB2k5l62ztuPK_5u9S0O3mA7XFXurjMVspCv9uWGRny0TCxWJTwmktVrcQ-LZsoLDB69BN4KytF_Po_2Z2uln01QFKhgSZXUOR-YCo0fpFWZNBDKlXao5KGMKu-LMjD9wwhzQSXXsEgOk-r_0Vzw4CArYfYfPSqkGXkT1bJegLFfBHZZ6RGWMovT3TJ8Z2EohP6RQgIWuG16Z_L_WaaiTJKC75JKHUnWLAF4IObMDfaL4frUNdI7SaFJEk1Nym6ab%26u%3Dhttps%253A%252F%252Fdatatracker.ietf.org%252Fdoc%252Fdraft-pei-opentrustprotocol%252F&data=02%7C01%7Cdthaler%40microsoft.com%7C7a6910317f434c0cf7e508d5b036f02f%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C1%7C636608672364767599&sdata=4N1Xkn78OMBQeskfI6i%2FOe4R37Hw%2BcOELBqt06w6x%2FY%3D&reserved=0>  as a draft protocol.

This is a call for adoption as a working group draft .  If you have any concerns or objections please respond
by April 16th.

Warm regards, Nancy
_______________________________________________
TEEP mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/teep